Skip to main content
PUT
/
v1
/
campaigns
/
{campaignId}
/
pause
Pause Campaign
curl --request PUT \
  --url https://app-api.walead.ai/api/v1/campaigns/{campaignId}/pause \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "name": "<string>",
  "status": "active",
  "progress": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "settings": {},
  "coreVariables": {},
  "customVariables": {},
  "linkedinAccounts": [
    "<string>"
  ],
  "analytics": {
    "acceptanceRate": 123,
    "responseRate": 123,
    "totalLeads": 123
  }
}

Overview

Pauses an active campaign. All pending actions will be stopped and can be resumed later by activating the campaign again.

Authorizations

x-api-key
string
header
required

API key for authentication. Generate from your WaLead dashboard.

Path Parameters

campaignId
string
required

Campaign ID

Response

Campaign paused successfully

id
string

Unique campaign identifier

name
string

Campaign name

status
enum<string>

Campaign status

Available options:
active,
paused,
completed,
error,
draft
progress
number

Campaign progress percentage (0-100)

createdAt
string<date-time>

ISO 8601 timestamp of creation

settings
object

Campaign configuration settings

coreVariables
object

Core variables enabled for this campaign

customVariables
object

Custom variables defined for this campaign

linkedinAccounts
string[]

Array of LinkedIn account IDs associated with the campaign

analytics
object